<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


//ADMIN
Route::get('/', function () {
    return view('admin.home');
})->name('admin.home');

Route::get('proveedores', function() {
    return view('admin.proveedores.index');
})->name('proveedores');

Route::get('profesionales', function() {
    return view('admin.profesionales.index');
})->name('profesionales');

Route::get('tipos-proveedor', function() {
    return view('admin.tipos-proveedor.index');
})->name('tipos-proveedor');

Route::get('tipos-profesional', function() {
    return view('admin.tipos-profesional.index');
})->name('tipos-profesional');

Route::get('novedades', function() {
    return view('admin.novedades.index');
})->name('novedades');

Route::get('ofertas', function() {
    return view('admin.ofertas.index');
})->name('ofertas');

Route::get('equipos', function() {
    return view('admin.equipos.index');
})->name('equipos');

Route::get('tipos-equipo', function() {
    return view('admin.tipos-equipo.index');
})->name('tipos-equipo');



Auth::routes();

//WEB
Route::prefix('web')->group(function () {
    Route::get('prueba', function() {
        return view('web.prueba');
    });

    // Route::get('/', function () {
    //     return view('web.index');
    // })->name('web.index');
    Route::get('/', 'Views\HomeController@index')->name('web.index');

    Route::get('quienes-somos', function() {
        return view('web.quienes-somos');
    })->name('web.quienes-somos');

    Route::get('servicios', function() {
        return view('web.servicios');
    })->name('web.servicios');

    Route::get('publicidad', function() {
        return view('web.publicidad');
    })->name('web.publicidad');


    Route::get('proveedores', 'Views\ProveedorController@index')->name('web.proveedores');
    Route::get('proveedores/{id}', 'Views\ProveedorController@show')->name('web.proveedores.show');
    
    Route::get('profesionales', 'Views\ProfesionalController@index')->name('web.profesionales');
    Route::get('profesionales/{id}', 'Views\ProfesionalController@show')->name('web.profesionales.show');

    Route::get('novedades', 'Views\NovedadController@index')->name('web.novedades');
    Route::get('novedades/{id}', 'Views\NovedadController@show')->name('web.novedades.show');

    Route::get('equipos', 'Views\EquipoController@index')->name('web.equipos');
    Route::get('equipos/{id}', 'Views\EquipoController@show')->name('web.equipos.show');
});